Package com.macrofocus.high_d.heatmap.swing

# Class SwingHeatMap<Row,Column>

java.lang.Object
com.macrofocus.high_d.heatmap.AbstractHeatMap<JComponent,Color,Row,Column>
com.macrofocus.high_d.heatmap.swing.SwingHeatMap<Row,Column>

All Implemented Interfaces:
  `HeatMap<JComponent,Color,Row,Column>`

public class SwingHeatMap<Row,Column> extends AbstractHeatMap<JComponent,Color,Row,Column>

- ## Field Summary

  ### Fields inherited from class com.macrofocus.high_d.heatmap.AbstractHeatMap

  `controller, licenseModel, view`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SwingHeatMap(HeatMapModel<Color,Row,Column> model)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected HeatMapController`
  `createController(HeatMapView view)`
  Creates a controller that can be used by the parallel coordinates component
  `protected HeatMapModel<Color,Row,Column>`
  `createModel(com.macrofocus.molap.dataframe.DataFrame dataFrame)`
  Creates a model that can be used by the parallel coordinates component
  `protected HeatMapView<JComponent,Color,Row,Column>`
  `createView()`
  Creates a view that can be used by the parallel coordinates component
  `JComponent`
  `getNativeComponent()`

  ### Methods inherited from class com.macrofocus.high_d.heatmap.AbstractHeatMap

  `getController, getModel, getView, load, setController, setLicenseKey, setModel, setView`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SwingHeatMap

    public SwingHeatMap(HeatMapModel<Color,Row,Column> model)

- ## Method Details

  - ### createModel

    protected HeatMapModel<Color,Row,Column> createModel(com.macrofocus.molap.dataframe.DataFrame dataFrame)
    Description copied from class: `AbstractHeatMap`
    Creates a model that can be used by the parallel coordinates component
    Specified by:
      `createModel` in class `AbstractHeatMap<JComponent,Color,Row,Column>`
    Parameters:
      `dataFrame` - a Swing TableModel
    Returns:
      a BarChartModel instance

  - ### createView

    protected HeatMapView<JComponent,Color,Row,Column> createView()
    Description copied from class: `AbstractHeatMap`
    Creates a view that can be used by the parallel coordinates component
    Specified by:
      `createView` in class `AbstractHeatMap<JComponent,Color,Row,Column>`
    Returns:
      a BarChartView instance

  - ### createController

    protected HeatMapController createController(HeatMapView view)
    Description copied from class: `AbstractHeatMap`
    Creates a controller that can be used by the parallel coordinates component
    Specified by:
      `createController` in class `AbstractHeatMap<JComponent,Color,Row,Column>`
    Parameters:
      `view` - the view that should be controlled
    Returns:
      a BarChartController instance

  - ### getNativeComponent

    public JComponent getNativeComponent()